Hardware :: ATI Mobility Radeon Legacy Driver / Error Couldn't Find RGB GLX Visual Or Fbconfig?

Apr 3, 2011

I'm having an issue and I'm trying to figure out if the proprietary driver from ATI is actually getting installed correctly or if I'm on the open source driver still. ...and whether or not there's an advantage to one over the other...

I'm on a Sager NP3790 with an ATI Mobility Radeon 9700 graphics card. I've got a fresh install of Ubuntu 10.10 and the basic 2d functions all seem fine, but any games I try to run with OpenGL simplt fail and "glxinfo" yields:

Error: couldn't find RGB GLX visual or fbconfig

lspci -k yields:

01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]
Subsystem: CLEVO/KAPOK Computer Device 0471
Kernel driver in use: radeon
Kernel modules: radeon, radeonfb

I have downloaded the latest legacy driver from ATI (ati-driver-installer-9-3-x86.x86_64.run) and I've not had any success running that directly. It appears to not knowingly support anything newer than Ubuntu 9.04. I have tried forcing that driver to build itself targeting 9.04 and I've tried installing the .deb packages that it produces, but with no luck there either.

If I recall this laptop's former lives, it has in the past run Eternal Lands without issue back when it was Ubuntu 8.x, but somewhere between a client update from them, some update from ATI or Ubuntu I seem to have lost my OpenGL capabilities.

View 5 Replies


ADVERTISEMENT

Slackware :: 3D Acceleration With NVidia 8500GT PCI-E Graphics Card - Error: Couldn't Find RGB GLX Visual Or Fbconfig

Oct 20, 2010

I have a Slackware 13.1/64-current system running the 2.6.35.6 kernel that I have installed the most recent nvidia drivers for (as of yesterday or day before) 260.19.12. If I boot up into run level 4 after running nvidia-xconfig in a console and run glxinfo as root I get:

Quote:

bash-4.1# glxinfo
name of display: :0.0
Error: couldn't find RGB GLX visual or fbconfig

If I edit /etc/profile or /home/username/.bash_profile and add the following:

Quote:

export LIBGL_ALWAYS_INDIRECT=X

I have set both X=0 and X=1 as reported by [URL] I get the screen of information except it says

Quote:

direct rendering: No (LIBGL_ALWAYS_INDIRECT set)

my lspci -v for the graphics card looks like this:

05:00.0 VGA compatible controller: nVidia Corporation G86 [GeForce 8500 GT] (rev a1) (prog-if 00 [VGA controller])
Subsystem: XFX Pine Group Inc. Device 2353
Flags: bus master, fast devsel, latency 0, IRQ 16

[code]....

I am sure I missing something from my xorg.conf but at this point I am not sure what I have been searching on this for days to no avail. From the log the only thing that looks like is a problem is it doesn't load the keyboard and mouse but it gets loaded later on in the file.

View 13 Replies View Related

Ubuntu Installation :: Gallium 3D Driver For ATI Legacy R300-R500 - Mobility Radeon X1400

May 24, 2010

I have recently installed 10.04 on my Fujitsu E8210 laptop and now have a problem with the flickering and noisy screen. I have narrowed down the issue to my ATI mobility Radeon x1400 drivers and seen a suggestion to install Gallium3D drivers. Up 'till now I have installed new kernel from [url].

And now am looking for directions on how to install Gallium3D drivers for my video card.

View 9 Replies View Related

Ubuntu :: Error "Could Not Find A Compatible Opengl Display Resolution. Please Check Your Driver Configuration. (Error: Couldn't Find A Matching GLX Visual)"

Jul 22, 2011

I am having issues with 3d I am trying to start up a game called auteria but it displays this error "Could not find a compatible opengl display resolution. Please check your driver configuration. (Error: Couldn't find a matching GLX visual)" I am on ubuntu 10.10 could anybody give me a solution on how to fix this issue?

View 5 Replies View Related

Ubuntu :: ERROR: Couldn't Find Matching Glx Visual

Aug 4, 2011

When I try to play some OpenGL games, I get this error.How can I fix this? My graphics card is Nvidia, and I use the nvidia-current driver.Here's what it says under OpenGL/GLX Information. I don't know if this is the info you need, but oh well.

GLX_EXT_visual_info
GLX_EXT_visual_rating
GLX_SGIX_fbconfig
GLX_SGIX_pbuffer

[code]....

View 3 Replies View Related

Ubuntu Multimedia :: Screen After Sleep On Radeon Mobility M7 LW [Radeon Mobility 7500]?

Dec 20, 2010

When I put my laptop, a Presario X1000 to sleep that uses Radeon Mobility M7 LW [Radeon Mobility 7500], when it comes back up, I get just black and white "nosie" on the screen.

Even after I do cntr+alt+F1 and then cntrl+alt+F7 it still doesn't appear to restore the regular screen.

View 3 Replies View Related

Debian :: Which Driver For Mobility Radeon 7500?

Jan 31, 2011

I'd installed Puppy and was very happy with the performance on my laptop, but I decided to switch to Debian because of the ap-get feature. I decided to go with JWM instead of one of the default desktop environments, but now I'm having to configure everything manually, and I'm pretty lost. So far, I've got X and JWM installed (though no graphical login, and have to startx manually).

Priority one is to update the video driver and get the best performance possible. I have an ATI Mobility Radeon 7500. I know the fglrx driver doesn't work with this card, but I don't know which package to install. When I type "apt-get install radeon", it spits out "E: Couldn't find package radeon"

View 12 Replies View Related

Ubuntu Multimedia :: ATI Radeon Mobility 1350 Driver

Jan 6, 2010

I have a problem with my graphic card. My desktop effects and compiz work fine, but I cant find xorg.conf file (it seems I dont have a driver installed??). I want to play games, but I cant (warsow, and other via wine).. my computer cant start a game.

View 9 Replies View Related

Ubuntu :: Installing ATI Mobility Radeon X1400 Driver On 9.10?

Mar 6, 2010

installing ATI Mobility Radeon x1400 driver on 9.10?

View 9 Replies View Related

Ubuntu Multimedia :: Graphics Driver Trouble On 9.10 With ATI Mobility Radeon

Feb 23, 2010

I'm having some graphics driver trouble on my Lenovo Thinkpad T500. I tried getting the ATI Proprietary driver to work (fglrx) but everytime I boot my X just crashes. Now I'm trying to use the open source driver, but i dont think its working becaues a) It doesn't detect that an external monitor is plugged in (for dual-view) and b) when i run glxinfo i get a "Error of failed request: BadRequest" message.

View 3 Replies View Related

Ubuntu Installation :: Install Ati Mobility Radeon X1400 Driver?

Feb 16, 2011

who has installed these drivers on ubuntu will help me to install ? Because I can not coped...

ati mobility radeon x1400 driver

need me 32bit driver... I found only 64 ...

View 2 Replies View Related

Debian Configuration :: ATI Mobility Radeon HDá5470 Non-free Driver Installation?

Jun 6, 2011

1- I'm trying to install the ATI Mobility Radeon HDá5470 driver over the non-free repository ...the problem is that until now i didn't found a recent documentation ...and to be honest i don't know which procedure should i use to rightly install the driver .

2- I have two graphic cards (integrated Intel with the i5 processor), and i can't change the default one to the ati! because debian had set the intel card as a native one...! that's why i┤ m wondering if just an installation of the non-free drivers will solve this or not! I think every body will ask me how the lspci output looks like so here is it : 00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02) 00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 02) 00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02) 00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06) 00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)

[Code]...

View 8 Replies View Related

Ubuntu :: Nvidia, Unity, Glxinfo Couldn't Find RGB GLX Visual

Apr 5, 2011

Distro: Ubuntu 11.04-beta1 'natty'
Problem: 'your hardware does not support Unity; you will be using Ubuntu Classic.'
Installed: nvidia-common 0.2.28,
nvidia-current 270.30-0ubuntu3,
nvidia-settings 270.29-0ubuntu1,
linux-image-generic-pae 2.6.38.7.21,
linux-headers-generic-pae 2.6.38.8.22

[Code]....

After reading a few other threads on the matter, I suspect the problem is with the 'nvidia-current' package more than the libgl1-mesa-glx or unity packages. ... though it does seem odd that Unity doesn't have a non-OpenGL verison.

If I find a solution, I'll come back. I hope the answer isn't "ditch nvidia-current for the binary install script from nVidia direct." If someone found this thread in a search, the nVidia driver install scripts can be found at [URL]

View 6 Replies View Related

Ubuntu :: Couldn't Find Matching GLX Visual Would Installing Nvidia-glx-173 Package Be The Solution?

Dec 17, 2010

using nvidia_173 driver from repository with nvidia geforce fx5500 sping returns this:
Could not set video mode: Couldn't find matching GLX visual would installing nvidia-glx-173 package be the solution? just realized i had the nvidia_173 driver activiated, but not in use. ran "sudo nvidia-xconfig" boots in tty1, so i navigated to the X11 directory and deleted xorg.conf, boots to gnome now

how do i keep it from going to tty1? i know there are threads on this here and there, but most leave you with the default driver, and i want to keep nvidia_173

View 9 Replies View Related

OpenSUSE :: Error: Couldn't Get An RGB, Double-buffered Visual

Feb 7, 2010

Whenever I run glxgears or glxinfo from an ssh or vnc session, I get "Error: couldn't get an RGB, double-buffered visual". I can run glx stuff fine on the console under KDE, but that's not practical for the intended users. I've tried updating drivers (it's a Dell R610 w/ Matrox G200ew videa), firmware, rpms, etc., even running ssh with -X or -Y, but to no avail.

View 9 Replies View Related

Hardware :: S-video VGA Compatible Controller - ATI Technologies Inc Radeon Mobility M7 LW - Radeon

May 24, 2009

I been searching for months on how to get the s-video to work on my pci VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500] card. I found a site with instructions.

This is how I got it to work.

I install Debian 5.0 Lenny Desktop

added the Driver "radeon" to my /etc/X11/xorg.conf file

This work and I was able to use my tv as a monitor however when I try to play a video file from totem or vlc all I could get was audio with no video; These files work and played fine in the CRT monitor.

View 2 Replies View Related

OpenSUSE Install :: Error In Installing Gcc 4.5.0 - Error Couldn't Find The C Compiler

Sep 9, 2010

i tried to install gcc-4.5.0 on opensuse 11.2 I gave ./configure but it gave the error couldn't find the c compiler.. the message was

[Code]....

View 2 Replies View Related

Fedora :: Is ATI Mobility Radeon HD 4330 Supported In F12

Jan 24, 2010

i am gonna to buy a new noetbook hp probook 4510s one with ATI Mobility Radeon HD 4330 graphics card is that card compitable with fedora 12 ?

View 10 Replies View Related

Fedora Hardware :: ATI Radeon Mobility HD 5000 Series?

Feb 10, 2010

I just bought a new ASUS laptop with the Mobility Radeon HD 5470 card.It seems like there's no driver for it yet (the amd.com download wizard is a dead end because I only find the HD 4000 series).

Is there anything I can do to get support for this card? At least I'd like to be able to change resolution. Or do I simply have to wait for a new ATI driver?

View 3 Replies View Related

OpenSUSE Hardware :: ATI Mobility Radeon HD 5430 Graphics?

Oct 23, 2010

we are considering to purchase a laptop that comes with the ATI Mobility Radeon´┐Ż HD 5430 Graphics Card with 512 MB Ram but unable to get a test with a live cd know /using this card and can confirm that it is working okay with linux?

View 4 Replies View Related

OpenSUSE Hardware :: ATI Mobility Radeon 4200 In Notebook

Nov 22, 2010

I remember when 11.3 first came out it was an issue.Are the fglrx drivers good now?

View 6 Replies View Related

Ubuntu Multimedia :: ATI Mobility Radeon X1300 Does Not Work With 10.04?

May 23, 2010

I have an ATI radeon x1300 graphics card on my Toshiba Satellite A100 P542 laptop. I am new to ubuntu. On installation, I was pleased with the mac feel as I use mac at my home. I just cant get the card to work. In the hardware options, my card isn't displayed in proprietary thingy.

I later realised that my graphic driver is no longer supported by ATI and there are no official drivers. So I tried all the alternatives available in Ubuntu software centre. I currently have everything related to ATI, fglrx, xorg etc installed. But seems like all these things are of no use, as my graphics driver still isn't recognized and I cant use Compiz fusion. Leave alone compiz fusion I cannot run good quality videos. The screen gets sluggish when I do that.

View 9 Replies View Related

Ubuntu :: 10.10 Support For ATI Mobility Radeon 5000 Series?

Oct 11, 2010

So Ubuntu had been working great in Lucid, and when I upgraded to Maverick the support for my graphics card stopped. It has the proper driver ("ATI/AMD Proprietary FGLRX graphics driver") active and fglrx, fglrx-amdccle and fglrx-modaliases are all at 2:8.780-0ubuntu2. I also have the xorg radeon package installed. Yet, whenever I try to enable desktop effects (to get compiz to work) it says that Desktop effects could not be enabled.

View 3 Replies View Related

Hardware :: How To Install Correctly Mobility Radeon 4200 HD?

Jul 19, 2010

Does someone have a magick trick to make this card runs well on linux lspci shows this:01:05.0 VGA compatible controller: ATI Technologies Inc M880G [Mobility Radeon HD 4200]Ive tryed the ati binaries and its very bad.It takes a delay to switch from window to window and when tryed to play video it plays in slow motion doesnt matter what I do.Some ideas?I dont want 3d things only a good 2d performance.

View 2 Replies View Related

Slackware :: Slow Graphics With 13.37 And Radeon Mobility X1600

May 4, 2011

I've upgraded (reinstalled) from Slackware 13.1 to 13.37 on an old iMac and have problems with slow graphics.
lspci says this about the graphics card:

Code:

With Slackware 13.1 I had no KMS enabled and graphics speed was okay. It wasn't very good, but okay for everyday work. Now with 13.37 it's extremely slow. glxgears runs with only around 38 fps, no matter what I do. And every now and then when logging off, I get a black screen and no new kdm-login. But I can ssh into that machine and restart X by issuing 'init 3;init 4'.

KMS is enabled (I've also tried disabling it, but then KDE crashes right after logging in) and it's a fresh installation of 13.37 with a 2.6.37.6 kernel.

What can I do?

I have to admin I don't know this video and X stuff very well and I used to have machines with NVIDIA cards.

If there's anything else than the usual Xorg.0.log needed.

To me the log doesn't look like there's any problem whatsoever:

Code:

View 7 Replies View Related

Ubuntu :: Apt-get Error / E / Couldn't Find Package

Apr 26, 2011

I have ubuntu intrepid installed in one of the amazon servers , when i try to install any software using apt-get i used to get the following error.Code: E: Couldn't find package E: Some index files failed to download, they have been ignored, or old ones used instead.

View 5 Replies View Related

General :: Error: Couldn't Find Clock_gettime?

Jul 3, 2010

When i install libdrm, i get the following error:checking for clock_gettime... no.checking for clock_gettime in -lrt... no.configure: error: Couldn't find clock_gettime

It seems that it cannt find clock_gettime function, but i find it as follow:
$ grep clock_gettime /usr/include/time.h
extern int clock_gettime (clockid_t __clock_id, struct timespec *__tp) __THROW;

View 6 Replies View Related

Debian Installation :: Squeeze Boot Stalls / Radeon Mobility

May 23, 2011

I have just installed Squeeze on my laptap with a radeon mobility equipped laptop. When it boots, I see the following message:r600_cp: Failed to load firmware "radeon/RV635_pfp.bin".and some others, too, but it stalls at that point, and I cannot use CTRL-ALT-F2 to get a text-based prompt - in fact, I can only seem to get it back with a ALT-SYSRQ (R-E-I-S-V-B) sequence to force a reboot. It is a multi-boot system, with a windows partition, Ubuntu partition, and the new Debian partition. The Ubuntu and Windows partitions will still boot, only the Debian stalls.

When I boot into Ubuntu, I can see the Debian partition, and can see (for instance) the /var/boot/dmesg file, but it only says:"(Nothing has been logged yet.)"So, being new to debian itself (even though, I know, that Ubuntu has a debian base), how can I make it boot without X, which is I presume, the center of the difficulty? Can I change some file on the debian partition using Ubuntu to get the debian partition to boot in text only mode, and then try to fix the radeon driver?

Alternatively, can I put the proper files for the radeon driver *from* the Ubuntu partition *to* the debian partition and expect it to load and boot correctly? I did, at one point, download and install the proprietary ATI driver files on Ubuntu, so can I put them in a proper place on the debian install?

View 5 Replies View Related

Fedora Hardware :: ATI Mobility Radeon X1350 - F14 Random Freezes

Nov 4, 2010

HP Compaq 6820s: During the installation of F14 I noticed that the system freezes for a while every few seconds. The installed and rebooted laptop behaves the same way. Disturbing repeated messages in var/log/messages:

Code:
Nov 3 18:20:22 localhost kernel: [ 512.589815] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but no|invalid EDID
Nov 3 18:20:34 localhost kernel: [ 524.463172] [drm:drm_edid_block_valid] *ERROR* Raw EDID:

[Code].....

View 3 Replies View Related

OpenSUSE Hardware :: Catalyst 10.8 With Mobility Radeon HD 2400 XT (iMac 20'')?

Sep 7, 2010

I haven't paid attention to this before (there are too many monitors around here). But I just noticed a display problem with fglrx on HD 2400 XT (iMac) : parts of pages get covered with gray or black while scrolling up and down in Firefox.

I did reboot that machine a couple times and switch the driver to reproduce the problem. It never occures with either radeon or radeonhd.

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved